---
search:
  tags:
    - Content blocks
    - PATCH
seo:
  description: >-
    Partially updates a content block. Scoped to your integration's institution
    via… Reference for the PATCH /content-blocks/{id} endpoint in the Fuxam API
    v4.
sidebar:
  label: Update a content block
  badge: PATCH
title: Update a content block
type: openapi-operation
---
Partially updates a content block. Scoped to your integration's institution via Basic Auth credentials.

`PATCH /content-blocks/{id}`

**Request body** (`application/json`, required)

- `name` (string)
- `description` (string)
- `type` (string)
- `status` (string)
- `position` (integer)
- `dueDate` (string<date-time> | null)
- `startDate` (string<date-time> | null)
- `specs` (object)
- `courseGoalId` (string | null)
- `isDependent` (boolean)
- `expectedLearnTimeMinutes` (integer | null)

Request body example, Publish block:

```json
{
  "status": "PUBLISHED"
}
```

Request body example, Update Test specs:

```json
{
  "specs": {
    "workbenchFileId": "clxwb1234567890abcdef"
  }
}
```

**Responses**

- `200` — Updated content block
- `400` — Bad Request
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Not Found
- `429` — Too Many Requests — 1000 requests per minute per institution. Includes \`X-RateLimit-Limit\`, \`X-RateLimit-Remaining\`, \`X-RateLimit-Reset\` (ISO-8601), and \`Retry-After\` (seconds).
- `500` — Internal Server Error

Response example, 200:

```json
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "courseId": "string",
    "type": "string",
    "status": "PUBLISHED",
    "position": 0,
    "dueDate": "2019-08-24T14:15:22Z",
    "startDate": "2019-08-24T14:15:22Z",
    "specs": {},
    "courseGoalId": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "isDependent": true,
    "expectedLearnTimeMinutes": 0
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4",
    "watermark": "2019-08-24T14:15:22Z"
  }
}
```
